package com.ssj.service.conch.opentest.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author yanghuan
 * @title: QuestionUnitRequest
 * @projectName ssj
 * @description: TODO
 * @date 2020/5/15 17:25
 */
public class QuestionUnitRequest extends BaseRequest {
    private static final long serialVersionUID = -3599279164102187917L;

    @ApiModelProperty(name="grade",value ="年级",required = true)
    private String grade;

    @ApiModelProperty(name="subject",value = "科目",required = true)
    private String subject;

    @ApiModelProperty(name="version",value = "版本",required = true)
    private String version;

    @ApiModelProperty(name="unit",value = "单元",required = true)
    private String unit;

    @ApiModelProperty(name="type",value = "类型（0：已录，1：已发布）",required = true)
    private int type;

    @ApiModelProperty(name="type1",value = "类型（1学前2单元3期中）",required = true)
    private int type1;

    @ApiModelProperty(name="semester",value = "学期",required = true)
    private String semester;

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }

    public int getType1() {
        return type1;
    }

    public void setType1(int type1) {
        this.type1 = type1;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
}
